#
# spec file for package kiwi-templates-Minimal
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define dest %_datadir/kiwi/image/openSUSE-Tumbleweed-Minimal
Name:           kiwi-templates-Minimal
Version:        84.87.1
Release:        12.1
Summary:        KIWI - openSUSE Tumbleweed Minimal image templates
License:        MIT
Group:          System/Management
URL:            https://www.opensuse.org/
Source01:       config.sh
Source02:       Minimal.kiwi
Source03:       editbootinstall_rpi.sh
Source04:       editbootinstall_mbr.sh
Source05:       disk.sh
#
Source99:       LICENSE
Requires:       python3-kiwi
Supplements:    kiwi-templates
BuildArch:      noarch
Provides:       kiwi-templates-JeOS = %{version}
Obsoletes:      kiwi-templates-JeOS < %{version}
%if "" != ""
ExclusiveArch:  do_not_build
%endif

%description
This package contains system image templates to easily build
a openSUSE Tumbleweed based operating system image with
kiwi.

%prep
%setup -q -cT
cp "%SOURCE99" .

%build

%install
dst="%buildroot%dest"
mkdir -p $dst
for i in %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5}; do
	install -m 644 $i "$dst"
done

%files
%license LICENSE
%dest
%_datadir/kiwi/

%changelog
* Mon Jan 22 2024 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Do not use the big kernel-firmware for RPi, but only the required
  kernel-firmware-brcm - boo#1218307
* Tue Jan  9 2024 Fabian Vogt <fvogt@suse.com>
- Drop systemd-sysvinit, the main systemd package itself contains
  /sbin/reboot etc. now
* Tue Jan  2 2024 Ludwig Nussel <lnussel@suse.com>
- Use kernel-default-base instead of kvmsmall
* Thu Dec 28 2023 Ludwig Nussel <lnussel@suse.com>
- Handle new sources in spec file too
* Tue Dec 19 2023 Fabian Vogt <fvogt@suse.com>
- cloud-init no longer requires wicked, so install NetworkManager
  everywhere (boo#1218129)
- Switch all images from vmx to oem to use kiwi's resize
  (boo#1206238)
* Thu Dec 14 2023 Ludwig Nussel <lnussel@suse.com>
- Add systemd-boot flavor with disk encryption
* Thu Aug 17 2023 Fabian Vogt <fvogt@suse.com>
- Add combustion (jsc#PED-5843)
* Wed May  3 2023 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Enable Cloud image for aarch64
* Tue Mar  7 2023 Fabian Vogt <fvogt@suse.com>
- Add wireless-regdb
* Thu Dec 29 2022 Dominique Leuenberger <dleuenberger@suse.com>
- editbootinstall_rpi.sh: fix loopdev name to work with new kiwi.
* Thu Nov 10 2022 Guilherme Moro <gmoro@suse.com>
- Rename OpenStack-Cloud to Cloud (jsc#PED-1849)
- Enable jeos-firstboot on Cloud image
* Thu Aug 25 2022 Guilherme Moro <gmoro@suse.com>
- Add cloud-init to VMware image (jsc#SLE-7254)
- Change VMware to use lsilogic SCSI controller
- Disable firewalld on VMware image
- Do not enable jeos-firstboot on OpenStack-Cloud
* Thu Apr 14 2022 Fabian Vogt <fvogt@suse.com>
- Switch to NetworkManager except for OpenStack-Cloud
* Tue Mar 29 2022 Guilherme Moro <gmoro@suse.com>
- Rename JeOS to "Minimal Image" (jsc#SLE-20354)
- Set version in the kiwi file to 1.0.0
- Use new bundle_format from kiwi for naming images
* Fri Jan 28 2022 Ivan Ivanov <ivan.ivanov@suse.com>
- Add Trusted Firmware-A (TF-A) package in RaspberryPi images
  which mitigate few CVE issues found in RPi4 Cortex A72 CPU.
  See bsc#1173489.
* Tue Jan 18 2022 Fabian Vogt <fvogt@suse.com>
- Delete /etc/machine-id, necessary for ConditionFirstBoot
- Add rw to the default boot options to fix /etc/machine-id setup
  (bsc#1194484, see also gh#OSInside/kiwi#1650)
* Tue Nov 16 2021 Fabian Vogt <fvogt@suse.com>
- Install AppArmor pattern and audit (jsc#SLE-22705)
* Fri Nov 12 2021 Fabian Vogt <fvogt@suse.com>
- Support new location of the snapper config templates
* Mon Oct 18 2021 Fabian Vogt <fvogt@suse.com>
- Don't delete /etc/machine-id (see gh#OSInside/kiwi#1650)
- Also don't delete the dbus machine-id, it's a symlink
* Wed Apr  7 2021 Fabian Vogt <fvogt@suse.com>
- Install shim everywhere except on RPi (bsc#1182211)
* Tue Mar  9 2021 Fabian Vogt <fvogt@suse.com>
- Add systemd.show_status=1 to the kernel cmdline (bsc#1183186)
- Drop plymouth.enable=0, as suggested some time ago
- Tumbleweed has openSUSE-release-appliance-* packages meanwhile
- Add several packages to bootstrap to force zypper to pick the
  right alternative
- Drop udev from bootstrap, not needed
* Tue Feb  9 2021 Nicolas Patricio Saenz Julienne <nsaenzjulienne@suse.com>
- Install 'raspberrypi-eeprom' package on Raspberry Pi image (jsc#SLE-13566)
* Wed Jan 27 2021 Fabian Vogt <fvogt@suse.com>
- Simplify multi-arch profiles using a new kiwi feature
* Tue Jan 19 2021 Fabian Vogt <fvogt@suse.com>
- Drop /etc/shadow modification in config.sh, fixed in system-user-root
  meanwhile
- Fix bare *** in config.sh
* Wed Dec  2 2020 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Include xen and qemu-guest packages for aarch64 too
* Wed Dec  2 2020 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Add aarch64 support for kvm-and-xen image
* Wed Dec  2 2020 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Add aarch64 support for MS-HyperV
* Fri Sep 11 2020 Fabian Vogt <fvogt@suse.com>
- Add pam_pwquality
* Wed Sep  2 2020 Fabian Vogt <fvogt@suse.com>
- Drop call of baseCleanMount, not necessary
- Replace suseInsertService with direct systemctl enable
* Fri Aug 28 2020 Fabian Vogt <fvogt@suse.com>
- Drop the tmp subvolume (boo#1173461, jsc#PM-1898)
* Thu Aug 27 2020 Fabian Vogt <fvogt@suse.com>
- issue-generator got fixed, so drop the workaround for RPi
* Thu Aug 27 2020 Fabian Vogt <fvogt@suse.com>
- Add zypper-needs-restarting (bsc#1173548)
* Mon Jul 13 2020 Fabian Vogt <fvogt@suse.com>
- Force disk size of OpenStack-Cloud to 1GiB to avoid ENOSPC
  (bsc#1096738)
* Tue Jun 30 2020 Fabian Vogt <fvogt@suse.com>
- Drop bootsplash-theme, not used
- Don't touch /etc/default/grub in config.sh, kiwi overwrites it
  anyway
- RPi workarounds are part of the raspberrypi-firmware package now
* Mon May 18 2020 Fabian Vogt <fvogt@suse.com>
- Drop some now redundant entries from the package list
- Switch to vim-small, saves ~50MiB
- Drop group(wheel), bug in cloud-init got fixed (boo#1080595)
* Mon Apr 27 2020 Ludwig Nussel <lnussel@suse.de>
- switch to base instead of minimal_base pattern, minimal_base is too minimal
  for JeOS now.
* Tue Apr 14 2020 Fabian Vogt <fvogt@suse.com>
- Also show WLAN interfaces in /etc/issue (bsc#1169070)
* Thu Apr  9 2020 Guilherme Moro <gmoro@suse.com>
- Add qemu-guest-agent (bsc#1162932)
* Tue Mar 24 2020 Fabian Vogt <fvogt@suse.com>
- Make the choice of systemd-logger for openSUSE explicit (bsc#1160657)
* Tue Mar 24 2020 Fabian Vogt <fvogt@suse.com>
- Add lsof for zypper ps (bsc#1167553)
* Thu Mar 12 2020 Fabian Vogt <fvogt@suse.com>
- Drop XEN flavor, identical to kvm-and-xen meanwhile (boo#1166474)
- Remove obsolete and redundant parts from config.sh
- Remove indefinitely commented out sections in JeOS.kiwi
- Remove invalid vga="normal"
- Add condition to make config.sh suitable for both openSUSE and SLE
* Wed Mar  4 2020 Fabian Vogt <fvogt@suse.com>
- Drop drivers section, obsolete with dracut
* Wed Feb 26 2020 Nicolas Patricio Saenz Julienne <nsaenzjulienne@suse.com>
- Make RPi's EFI partition 64MB big (bsc#1164817)
* Tue Feb  4 2020 Fabian Vogt <fvogt@suse.com>
- Use systemctl instead of chkconfig
* Thu Jan  9 2020 Fabian Vogt <fvogt@suse.com>
- Remove explicit swiotlb and cma assignments from RPi cmdline
  as the defaults are better meanwhile (bsc#1160308)
* Tue Dec  3 2019 Fabian Vogt <fvogt@suse.com>
- Fix editbootinstall_rpi.sh with newer kiwi
* Tue Nov 26 2019 Fabian Vogt <fvogt@suse.com>
- Don't enable chrony-wait even on RPi, it might delay booting
  unacceptably long
* Wed Nov 20 2019 Matthias Brugger <mbrugger@suse.com>
- Enable one image for RPi3/4
  * delete obsolete RPi4 target
* Wed Nov 20 2019 Fabian Vogt <fvogt@suse.com>
- Add systemd-logger and dosfstools
- Drop salt-minion
* Fri Oct 25 2019 Matthias Brugger <mbrugger@suse.com>
- Add support for RPi4
* Mon Sep 30 2019 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Add kernel-firmware for RPi
* Mon Sep 23 2019 Fabian Vogt <fvogt@suse.com>
- Don't install a custom chrony config, the default is enough
- Only enable chrony-wait.serivce on RPi (bsc#1146374)
* Tue Sep  3 2019 Fabian Vogt <fvogt@suse.com>
- Rename to kiwi-templates-JeOS
- Add a .spec file which installs the JeOS sources as template
* Thu Aug 15 2019 Fabian Vogt <fvogt@suse.com>
- Mount by-uuid instead of by-label (jsc#SLE-7327)
* Wed Jul 24 2019 Fabian Vogt <fvogt@suse.com>
- Don't set DHCLIENT_SET_HOSTNAME here, jeos-firstboot does that now
- Enable chrony-wait.service explicitly (bsc#1129730)
* Thu May 23 2019 Fabian Vogt <fvogt@suse.com>
- Install now split jeos-firstboot-rpiwifi package
* Mon Apr 29 2019 Fabian Vogt <fvogt@suse.com>
- Merge images.sh into config.sh, make it more generic
- Run config.sh with -euxo pipefail, make it compatible
* Thu Apr 25 2019 Fabian Vogt <fvogt@suse.com>
- Also enable excludedocs for RPi
* Wed Apr 24 2019 Fabian Vogt <fvogt@suse.com>
- Enable btrfs_quota_groups here, jeos-firstboot can skip this now
* Tue Apr 16 2019 Fabian Vogt <fvogt@suse.com>
- Drop unnecessary USE_BY_UUID_DEVICE_NAMES, kiwi does that properly now
- Add console=ttyS0,115200 to RPi cmdline
- Add quiet to cmdline
* Mon Apr  8 2019 Fabian Vogt <fvogt@suse.com>
- Switch to glibc-locale-base for smaller footprint
* Wed Mar 13 2019 Nicolas Patricio Saenz Julienne <nsaenzjulienne@suse.com>
- Remove modprobe DRM rule as HDMI detection is working fine (bsc#1127537)
* Tue Feb 12 2019 Fabian Vogt <fvogt@suse.com>
- Add wpa_supplicant for RPi WiFi support
* Thu Jan 24 2019 Fabian Vogt <fvogt@suse.com>
- Don't install firewall on OpenStack (fate#326778)
- Remove obsolete baseStripRPM call
* Thu Jan 17 2019 Fabian Vogt <fvogt@suse.com>
- Install chrony on all flavors (bsc#1119424)
* Thu Jan 10 2019 Fabian Vogt <fvogt@suse.com>
- cron is not needed for btrfsmaintenance anymore (bsc#1121419)
* Fri Dec 14 2018 Guilherme Moro <gmoro@suse.com>
- include wireless-tools for RaspberryPi image, bsc#1119400
* Tue Dec  4 2018 Fabian Vogt <fvogt@suse.com>
- Unify two packages sections for OBS WebUI friendliness
* Tue Nov 13 2018 Guilherme Moro <gmoro@suse.com>
- Do not create ifcfg file for eth0
* Tue Nov  6 2018 Fabian Vogt <fvogt@suse.com>
- Readd lost "Add repos from control.xml" section
* Thu Oct 25 2018 Fabian Vogt <fvogt@suse.com>
- Change to Tumbleweed
* Fri Oct 12 2018 Fabian Vogt <fvogt@suse.com>
- Change version to 15.1.0 to workaround bug in kiwi
* Mon Oct  8 2018 Fabian Vogt <fvogt@suse.com>
- Adjust for openSUSE Leap 15.1
* Fri Oct  5 2018 Fabian Vogt <fvogt@suse.com>
- Use glibc-locale-base (fate#326551)
* Thu Oct  4 2018 Fabian Vogt <fvogt@suse.com>
- Add ca-certificates-mozilla to the bootstrap section as it is necessary
  to download packages over HTTPS
* Wed Oct  3 2018 Tomas Hehejik <thehejik@suse.com>
- Fix RaspberryPi profile name in kiwi file (bsc#1110593)
* Mon Sep 17 2018 Fabian Vogt <fvogt@suse.com>
- Create flag file for new jeos-firstboot
* Tue Sep 11 2018 Fabian Vogt <fvogt@suse.com>
- Bump version to 15 SP1
- Make RaspberryPi a JeOS flavor:
  * Remove rpi3-y2firstboot.tar.gz
  * Remove special package list
  * Enable jeos-firstboot
* Mon Aug  6 2018 fvogt@suse.com
- Don't remove /etc/localtime, jeos-firstboot does it already
* Thu Aug  2 2018 fvogt@suse.com
- Require fbiterm
- Don't require dialog, jeos-firstboot requires it
* Tue Jul 31 2018 fvogt@suse.com
- Re-enable raspberrypi-firmware-dt, it's available now
* Thu Jul 19 2018 fvogt@suse.com
- Enable jeos-licenses for aarch64 as well
* Thu Jul 19 2018 fvogt@suse.com
- Add patterns-sles-Minimal to resolve have choice
* Thu Jun 28 2018 fvogt@suse.com
- Also remove /var/lib/dbus/machine-id (bsc#1099180)
* Tue Jun 19 2018 fvogt@suse.com
- Do not call baseStripDocs, it's handled by excludedocs (bsc#1093914)
- Add command-not-found (bsc#1097667)
- Add kexec-tools (bsc#1097670)
* Wed Jun 13 2018 fvogt@suse.com
- Set GRUB_GFXMODE and GRUB_TERMINAL in config.sh (bsc#1097428)
* Tue Jun 12 2018 afaerber@suse.com
- Enlarge swapsize from 500 to 1000 to align with SLE12-SP3
  (bsc#1097027)
* Tue Jun 12 2018 fvogt@suse.com
- Remove manual changes for RPi X11-related settings, handled by
  update-alternatives automatically (bsc#1096917)
* Thu Jun  7 2018 fvogt@suse.com
- Also handle excludedocs in config.sh for RPi (bsc#1093915)
* Tue Jun  5 2018 afaerber@suse.com
- RaspberryPi: Set rpm-excludedocs to false (bsc#1093915)
- RaspberryPi: Add firewall-config, needed by yast2-firewall (bsc#1093912)
* Tue Jun  5 2018 fvogt@suse.com
- Remove btrfs-related packages from OpenStack (bsc#1095820)
- Remove jeos-firstboot from OpenStack and RPi (bsc#1095820)
* Mon Jun  4 2018 afaerber@suse.com
- RaspberryPi: Add man, man-pages (bsc#1093914)
- RaspberryPi: Add lklug-fonts for YaST Firstboot (bsc#1093919)
- RaspberryPi: Add mutt, mutt-lang (bsc#1093913)
- RaspberryPi: Add libyui-qt-pkg8 (bsc#1095870), yast2-control-center-qt
- RaspberryPi: Add yast2-trans-mr; xscreensaver-lang; bash-lang,
  icewm-lang, parted-lang, shared-mime-info-lang; findutils-lang (cf. bsc#1072188)
* Mon Jun  4 2018 afaerber@suse.com
- RaspberryPi: Drop emacs-x11 (bsc#1093905)
* Mon Jun  4 2018 afaerber@suse.com
- RaspberryPi: Drop SuSEfirewall2 package (bsc#1094907)
  * Add firewalld-lang package
* Mon Jun  4 2018 fvogt@suse.com
- Add _constraints to get at least 10GiB disk space
* Tue May 29 2018 gmoro@suse.com
- Remove useless name attribute for systemdisk element
* Wed May 23 2018 afaerber@suse.com
- Add indic-fonts, thai-fonts, khmeros-fonts, arabic-kacst-fonts
  for YaST Firstboot on Raspberry Pi (bsc#1093919)
* Fri May 11 2018 agraf@suse.com
- Remove explicit console= setting on Raspberry Pi
- Use chrony instead of ntpd
* Thu May 10 2018 gmoro@suse.com
- Change EFI partition size to 33MB, bsc#1087406
- Decrease HyperV image to 24G, aligned with the other images, bsc#1087406
* Wed May  9 2018 agraf@suse.com
- Use YaST2-firstboot on Raspberry Pi target
* Thu May  3 2018 gmoro@suse.com
- Disable serial console in PV Xen image, fixes bsc#1089676
* Tue Apr 17 2018 fvogt@suse.com
- Disable installation of recommended packages on non-RPi3 (bsc#1089498)
- Enable excludedocs in zypp.conf
- Remove systemd.show_status=0 from the kernel cmdline (bsc#1089826)
* Mon Apr  9 2018 fvogt@suse.com
- Fix inclusion of PV XEN drivers
* Fri Apr  6 2018 gmoro@suse.com
- Improve VMware vmx settings, bsc#1084157
* Tue Mar 27 2018 fvogt@suse.com
- Also add a /root subvolume (boo#1085266)
* Tue Mar 27 2018 gmoro@suse.com
- change VMware vmx settings, bsc#1084157
* Mon Mar 26 2018 fvogt@suse.com
- Use the SLE 15 btrfs subvolume layout (bsc#1086852)
* Thu Mar 15 2018 gmoro@suse.com
- include issue-generator that is not a requirement of
  sles-release anymore, fix bsc#1084879
* Thu Mar  8 2018 agraf@suse.com
- Prepare image for X11 target
- Temporarily create X11 Raspberry Pi image; this will be sorted
  out correctly using profile groups later once kiwi supports them.
* Thu Mar  8 2018 fvogt@suse.com
- Also remove the comments for allpkgs and fix typo to get the kernel
  back for MS-HyperV
- Add suse-build-key back (bsc#1084166)
* Wed Mar  7 2018 agraf@suse.com
- Remove allpkgs target, it's no longer needed
* Mon Mar  5 2018 agraf@suse.com
- Convert to new OBS profile logic
  - remove _service file
* Fri Mar  2 2018 fvogt@suse.com
- Add back xfsprogs for OpenStack-Cloud (bsc#1083696)
* Wed Feb 28 2018 fvogt@suse.com
- Use kernel-default-base (bsc#1082357)
* Tue Feb 27 2018 fvogt@suse.com
- Fixup a bugref
- Remove python-base
- Remove manually added dependencies, OBS needs to solve them
- Fix detection of btrfs after kiwi profile introduction
* Thu Feb 22 2018 agraf@suse.com
- Add grub2-arm64-efi on aarch64 to package list (bsc#1082224)
- Remove xen dependencies on aarch64 from package list (bsc#1082224)
- Add Raspberry Pi target (FATE#323912, bsc#989513)
* Mon Feb 19 2018 fvogt@suse.com
- Replace multiple .kiwi files with a single one and use profiles instead, fixes bsc#1081792
- Needs obs-service-apply_kiwi_profile to work without prjconf changes
* Fri Feb  9 2018 fvogt@suse.com
- Add jeos-licenses
* Wed Feb  7 2018 gmoro@suse.com
- Drop SUSEfirewall2 and enable firewalld, fixes bsc#1078743
* Thu Feb  1 2018 gmoro@suse.com
- switch to new default console font eurlatgr, fixes bsc#1078735
* Tue Jan 30 2018 gmoro@suse.com
- Add group(wheel) to all the images
* Thu Jan 11 2018 gmoro@suse.com
- Change console font configuration to work with new systemd, fixes bsc#1073467
* Wed Nov 29 2017 gmoro@suse.com
- Change console settings for images, fixes bsc#1066136
* Mon Nov 27 2017 gmoro@suse.com
- require group(mail) for all images, fixes bsc#1061838
* Mon Nov 13 2017 gmoro@suse.com
- Configure snapper as part of the image build process, related to bsc#1064819
- Use kiwi functionality for disabling CoW on subvolumes, related to bsc#1064819
- Drop cracklib-dict-small from the bootstrap, requirements changed in kiwi
* Tue Oct 24 2017 gmoro@suse.com
- Remove net.ifnames=0 for HyperV images, fixes bsc#1062013
- Change HyperV image to VHDX format, fixes bsc#1062744
* Wed Oct 11 2017 gmoro@suse.com
- Disable all deletes from kiwi config fixes bsc#1061854
- Move to kernel-default over kernel-default-base, fix bsc#1062056
- enable hyper-v and drop azure agent for now, tracked on bsc#1061584
- removed the following files from the old diff mechanism, no benefits:
  * SLES15-JeOS-for-kvm-and-xen.diff
  * SLES15-JeOS-for-MS-HyperV.diff
  * SLES15-JeOS-for-OpenStack-Cloud.diff
  * SLES15-JeOS-for-VMware.diff
  * SLES15-JeOS-for-XEN.diff
  * applydiff
  * gendiff
  * SLES15-JeOS.template
* Wed Oct  4 2017 coolo@suse.com
- remove stub and add the template to _multibuild
* Wed Oct  4 2017 aherzig@suse.com
- patterns renamed
- multibuild file added
* Tue Aug 15 2017 gmoro@suse.com
- Initial package
* Thu Apr  6 2017 gmoro@suse.com
- mask systemd-firstboot from Openstack images (bsc#1032518)
* Mon Mar 27 2017 fvogt@suse.com
- Add btrfsmaintenance + cron
- Use firmware="ec" + bootkernel="custom" to allow kernel-default-base
  for Xen PV (bsc#1031483)
- Add driverlist for Xen HVM and PV to fix booting with bootkernel="custom"
  (bsc#1029742)
- Add zypper-lifecycle-plugin (bsc#1030278)
* Thu Mar 16 2017 fvogt@suse.com
- Add some more packages to the deletion list
* Thu Mar  9 2017 fvogt@suse.com
- Add ifcfg-eth0 to enable DHCP on eth0 by default
- Change packagelist:
  * Fix typo: libcxb-dri2-0
  * Remove libxcb-dri3-0 and libyui-ncurses-pkg7
  * Remove libLLVM-3.8.0
- Use kernel-default for XEN
* Tue Mar  7 2017 fvogt@suse.com
- Enable jeos-firstboot.service explicitly in images.sh instead of
  relying on the package to enable itself
* Thu Mar  2 2017 fvogt@suse.com
- Add stub.spec to workaround multibuild bug
* Wed Mar  1 2017 fvogt@suse.com
- Bump version to SP3
- Update btrfs subvolume layout
- Remove references to xen-kmp-default and kernel-xen, now part of kernel-default
* Fri Feb 19 2016 lnussel@suse.de
- add replaces="kernel-default" to tell OBS to ignore kernel-default
  when using kernel-default-base
  (https://github.com/openSUSE/open-build-service/issues/1528)
* Tue Feb  2 2016 lnussel@suse.de
- mount by label
- use kernel-default-base
- don't include /var/lib/systemd/random-seed
* Wed Nov 18 2015 lnussel@suse.de
- version 1.1.0 for SLE12 SP1
  * remove root.tar.gz and use jeos-firstboot instead
* Wed Oct 14 2015 lnussel@suse.de
- version number is 1.0.0
* Thu Oct  8 2015 lnussel@suse.de
- initial package
